#include <bits/stdc++.h>

using namespace std;
ifstream f1("bai3_15.inp");
ofstream f2("bai3_15.out");
int main()
{   long long kq=0,n,d=0;
    f1>>n;
    while(kq<=n)
    { kq=kq+pow(2,d);
	  d++;
	}
	f2<<d-1;
    return 0;
}
